package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevWaterCannonMapper;
import com.ruoyi.project.patrol.dev.domain.TDevWaterCannon;
import com.ruoyi.project.patrol.dev.service.ITDevWaterCannonService;

/**
 * 消防水炮检查记录Service业务层处理
 * 
 * @author admin
 * @date 2023-10-30
 */
@Service
public class TDevWaterCannonServiceImpl implements ITDevWaterCannonService 
{
    @Autowired
    private TDevWaterCannonMapper tDevWaterCannonMapper;

    /**
     * 查询消防水炮检查记录
     * 
     * @param id 消防水炮检查记录主键
     * @return 消防水炮检查记录
     */
    @Override
    public TDevWaterCannon selectTDevWaterCannonById(Long id)
    {
        return tDevWaterCannonMapper.selectTDevWaterCannonById(id);
    }

    /**
     * 查询消防水炮检查记录列表
     * 
     * @param tDevWaterCannon 消防水炮检查记录
     * @return 消防水炮检查记录
     */
    @Override
    public List<TDevWaterCannon> selectTDevWaterCannonList(TDevWaterCannon tDevWaterCannon)
    {
        return tDevWaterCannonMapper.selectTDevWaterCannonList(tDevWaterCannon);
    }

    /**
     * 新增消防水炮检查记录
     * 
     * @param tDevWaterCannon 消防水炮检查记录
     * @return 结果
     */
    @Override
    public int insertTDevWaterCannon(TDevWaterCannon tDevWaterCannon)
    {
        return tDevWaterCannonMapper.insertTDevWaterCannon(tDevWaterCannon);
    }

    /**
     * 修改消防水炮检查记录
     * 
     * @param tDevWaterCannon 消防水炮检查记录
     * @return 结果
     */
    @Override
    public int updateTDevWaterCannon(TDevWaterCannon tDevWaterCannon)
    {
        return tDevWaterCannonMapper.updateTDevWaterCannon(tDevWaterCannon);
    }

    /**
     * 批量删除消防水炮检查记录
     * 
     * @param ids 需要删除的消防水炮检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTDevWaterCannonByIds(Long[] ids)
    {
        return tDevWaterCannonMapper.deleteTDevWaterCannonByIds(ids);
    }

    /**
     * 删除消防水炮检查记录信息
     * 
     * @param id 消防水炮检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTDevWaterCannonById(Long id)
    {
        return tDevWaterCannonMapper.deleteTDevWaterCannonById(id);
    }
}
